/***************************************************************
 * Name:      listctrl2.h
 * Purpose:   Defines Dialog listctrl2
 * Author:    Salvador Pozo (salvador@conclase.net)
 * Created:   2024-12-02
 * Copyright: Salvador Pozo (www.conclase.net)
 * License:
 **************************************************************/

#ifndef LISTCTRL2_H
#define LISTCTRL2_H

#ifndef WX_PRECOMP
    #include <wx/wx.h>
#endif
#include <wx/listctrl.h>

#include <vector>
#include "tipos.h"

class listctrl2 : public wxDialog
{
    protected:
        enum {
            idListCtrl = 1000,
            idRadioBox,
            idCheckList
        };
        enum lc_modo {
            lista,
            reporte,
            iconos,
            iconos_peq
        };
        datosRepuestos& data;
        wxListCtrl* listCtrl;
        wxRadioBox* radioBox;
        wxCheckListBox* checkListBox;

    public:
        listctrl2(wxWindow *wnd, datosRepuestos &datos);
        virtual ~listctrl2();
        void InsertaColumnas(wxListCtrl* listCtrl);
        void AsignaImagenes(wxListCtrl* listCtrl);
        void InsertaItems(wxListCtrl* listCtrl, lc_modo modo);
        void OnItemSelected(wxListEvent& event);
        void OnInsertItem(wxListEvent& event);
        void OnItemactivated(wxListEvent& event);
        void OnItemFocused(wxListEvent& event);
        void OnRadioButton(wxCommandEvent& event);
        void OnChecklist(wxCommandEvent& event);
        void OnOk(wxCommandEvent& event);

    private:
        int ancho[3];
        void OnClose(wxCloseEvent& event);
        wxDECLARE_EVENT_TABLE();
};

#endif // LISTCTRL2_H
