/***************************************************************
 * Name:      listctrl4.h
 * Purpose:   Defines Dialog listctrl4
 * Author:    Salvador Pozo (salvador@conclase.net)
 * Created:   2024-12-02
 * Copyright: Salvador Pozo (www.conclase.net)
 * License:
 **************************************************************/

#ifndef LISTCTRL4_H
#define LISTCTRL4_H

#ifndef WX_PRECOMP
    #include <wx/wx.h>
#endif
#include <wx/listctrl.h>

#include <vector>
#include "tipos.h"

int wxCALLBACK ComparaNombres(wxIntPtr item1, wxIntPtr item2, wxIntPtr sortData);
int wxCALLBACK ComparaStocks(wxIntPtr item1, wxIntPtr item2, wxIntPtr sortData);
int wxCALLBACK ComparaConsumidos(wxIntPtr item1, wxIntPtr item2, wxIntPtr sortData);

class listctrl4 : public wxDialog
{
    protected:
        enum {
            idListCtrl = 1000,
            idRadioBox
        };
        enum lc_modo {
            lista,
            reporte,
            iconos,
            iconos_peq
        };
        wxRadioBox* radioBox;
        datosRepuestos& data;
        wxListCtrl* listCtrl;

public:
        listctrl4(wxWindow *wnd, datosRepuestos &datos);
        virtual ~listctrl4();
        void InsertaColumnas(wxListCtrl* listCtrl);
        void AsignaImagenes(wxListCtrl* listCtrl);
        void InsertaItems(wxListCtrl* listCtrl, lc_modo modo);
        void OnRadioButton(wxCommandEvent& event);
        void OnListColClick(wxListEvent& event);
        void OnEndEditLabel(wxListEvent& event);
        void OnOk(wxCommandEvent& event);
        friend int wxCALLBACK ComparaNombres(wxIntPtr, wxIntPtr, wxIntPtr);

    private:
        void OnClose(wxCloseEvent& event);
        wxDECLARE_EVENT_TABLE();
};

#endif // LISTCTRL4_H
