/***************************************************************
 * Name:      listctrl5.h
 * Purpose:   Defines Dialog listctrl5
 * Author:    Salvador Pozo (salvador@conclase.net)
 * Created:   2024-12-02
 * Copyright: Salvador Pozo (www.conclase.net)
 * License:
 **************************************************************/

#ifndef LISTCTRL5_H
#define LISTCTRL5_H

#ifndef WX_PRECOMP
    #include <wx/wx.h>
#endif
#include <wx/listctrl.h>

#include <vector>
#include <sqlite3.h>
#include "tipos.h"

class miListCtrl : public wxListCtrl {
        miListCtrl() : wxListCtrl() {}

    public:
        miListCtrl(wxWindow * parent, wxWindowID id);
        ~miListCtrl();
        wxString OnGetItemText(long item, long column) const;
        int OnGetItemImage(long item) const;
    private:
        wxString database;
        bool estado;
        sqlite3 *db;
};

class listctrl5 : public wxDialog
{
    public:
        listctrl5(wxWindow *wnd, datosCiudades &datos);
        virtual ~listctrl5();
        void InsertaColumnas(wxListCtrl* listCtrl);
        void OnOk(wxCommandEvent& event);

    protected:
        enum {
            idListCtrl = 1000,
            idRadioBox,
            idCheckList
        };

        datosCiudades& data;
        miListCtrl* listCtrl;

    private:
        void OnClose(wxCloseEvent& event);
        wxDECLARE_EVENT_TABLE();
};

#endif // LISTCTRL5_H
