/***************************************************************
 * Name:      listview.h
 * Purpose:   Defines Dialog listview
 * Author:    Salvador Pozo (salvador@conclase.net)
 * Created:   2024-12-02
 * Copyright: Salvador Pozo (www.conclase.net)
 * License:
 **************************************************************/

#ifndef LISTVIEW_H
#define LISTVIEW_H

#ifndef WX_PRECOMP
    #include <wx/wx.h>
#endif
#include <wx/listctrl.h>

#include <vector>
#include "tipos.h"

class listview : public wxDialog
{
    public:
        listview(wxWindow *wnd, datosRepuestos &datos);
        virtual ~listview();
        void InsertaColumnas(wxListView* listView);
        void AsignaImagenes(wxListView* listView);
        void InsertaItems(wxListView* listView);
        void OnOk(wxCommandEvent& event);

    protected:
        enum {
            idListCtrl = 1000,
            idRadioBox,
            idCheckList
        };

        wxListView* listView;

    private:
        datosRepuestos& data;
        void OnClose(wxCloseEvent& event);
        wxDECLARE_EVENT_TABLE();
};

#endif // LISTCTRL5_H
