/***************************************************************
 * Name:      wx018Main.h
 * Purpose:   Defines Application Frame
 * Author:    Salvador Pozo (salvador@conclase.net)
 * Created:   2025-03-23
 * Copyright: Salvador Pozo (https://conclase.net)
 * License:
 **************************************************************/

#ifndef WX018MAIN_H
#define WX018MAIN_H

#ifndef WX_PRECOMP
    #include <wx/wx.h>
#endif

#include <wx/imagpng.h>
#include "wx018App.h"
#include "listctrl1.h"
#include "listctrl2.h"
#include "listctrl3.h"
#include "listctrl4.h"
#include "listctrl5.h"
#include "listview.h"

class wx018Frame: public wxFrame
{
    public:
        wx018Frame(wxFrame *frame, const wxString& title);
        ~wx018Frame();
    private:
        enum
        {
            idMenuQuit = 1000,
            idMenuListCtrl1,
            idMenuListCtrl2,
            idMenuListCtrl3,
            idMenuListCtrl4,
            idMenuListCtrl5,
            idMenuListView,
            idMenuAbout,
        };
        enum {
            tornillo = 0,
            tuerca
        };
        datosRepuestos datos;
        datosCiudades datosC;
        void OnClose(wxCloseEvent& event);
        void OnQuit(wxCommandEvent& event);
        void OnAbout(wxCommandEvent& event);
        void OnListCtrl1(wxCommandEvent& event);
        void OnListCtrl2(wxCommandEvent& event);
        void OnListCtrl3(wxCommandEvent& event);
        void OnListCtrl4(wxCommandEvent& event);
        void OnListCtrl5(wxCommandEvent& event);
        void OnListView(wxCommandEvent& event);

        DECLARE_EVENT_TABLE()
};


#endif // WX018MAIN_H
